# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

ant.jar=${ant.core.lib}
antsrc.cp.extra=\
    ${ant.jar}:\
    ${tools.jar}:\
    ../servletjspapi/external/servlet3.0-jsp2.2-api.jar:\
    ../web.jspparser/external/glassfish-jspparser-3.0.jar:\
    ../o.apache.commons.logging/external/commons-logging-1.1.jar

extra.module.files=\
    ant/extra/jspcompile.jar,\
    ant/sources/org/netbeans/modules/web/project/ant/*.java

javac.source=1.6
javac.compilerargs=-Xlint:unchecked
javadoc.arch=${basedir}/arch.xml

spec.version.base=1.41.1

# needed for the TestUtil class
test.unit.cp.extra=

test.unit.run.cp.extra=\
    ${j2eeapis.dir}/modules/org-netbeans-modules-j2eeapis.jar:\
    ${masterfs.dir}/modules/org-netbeans-modules-masterfs.jar:\
    ${openide.text.dir}/modules/org-openide-text.jar:\
    ${openide.util.dir}/lib/org-openide-util.jar:\
    ${projectui.dir}/modules/org-netbeans-modules-projectui.jar:\
    ${o.openidex.util.dir}/modules/org-openidex-util.jar:\
    ${contrib/jmiutils.dir}/modules/ext/jmiutils.jar:\
    ${tomcat5.dir}/modules/org-netbeans-modules-tomcat5.jar:\

test.config.stableBTD.includes=**/*Test.class
test.config.stableBTD.excludes=\
    **/classpath/*,\
    **/WebProjectTest.class,\
    **/WebSharabilityQueryTest.class
